Snootalogue
===

A webapp for categorising, sharing and searching documents. Not at all ready for production in its current state.

## Dependencies
You need the *ASP.NET Core Runtime* to run Snootalogue - the *.NET Core Runtime* on its own is not enough. The [.NET 3.1 download page](https://dotnet.microsoft.com/download/dotnet-core/3.1) provides links to the installers you'll need. Note that **no binaries are currently provided**, so you'll need to build Snootalogue yourself (see the Developing section below).

## Developing
[Visual Studio Code](https://code.visualstudio.com/) provides great C# integration. Ensure you've installed the [.NET Core SDK](https://dotnet.microsoft.com/download) (not just the runtime) and the [Visual Studio Code C# Extension](https://marketplace.visualstudio.com/items?itemName=ms-dotnettools.csharp), and you'll be good to go.

### Testing
Snootalogue runs on port **5000**, so make sure you don't have anything currently using that port.

```bash
git clone https://git.bune.city/lynnesbian/Snootalogue
cd Snootalogue
if ! which dotnet-ef; then dotnet tool install --global dotnet-ef; fi
dotnet ef database update
dotnet run
```