using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;

// a version of the Document model designed for user editing

namespace Snootalogue.ViewModels {
	public class EditDocument {
		[Required]
		public int ID { get; set; }
		[Required]
		public string Title { get; set; }
		[Required]
		[Display(Name = "Authors (comma separated)")]
		public string Authors { get; set; }
		[Required]
		public string Category { get; set; }
		[Display(Name = "Tags (comma separated)")]
		public string Tags { get; set; }
		public Boolean Read { get; set; }
		public string Notes { get; set; }
	}
}
